Update fastboot version checking to 3301 to support Pixel 7 am: fa6cbb870b

Original change: https://googleplex-android-review.googlesource.com/c/device/common/+/17533698

Change-Id: If8f2d5145dd808d418964715f01bdb7885f33954
Signed-off-by: Automerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index 95f4e35..9a6f5ad 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,7 +101,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3103 ]; then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3301 ]; then
   echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi
@@ -258,7 +258,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3103 ]; then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3301 ]; then
   echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi